<?php
/**
 * User: 呆呆
 * Agreement: 禁止使用本软件（系统）用于任何违法违规业务或项目,造成的任何法律后果允由使用者（或运营者）承担
 * Date: 2021/3/3
 * Time: 14:34
 */
namespace app\common\mq_gvxjkd\controller;//跟目录路径一样
use think\Db;
use think\Controller;

class Index extends Controller
{
    public function getReturn($code = 1, $data = "成功", $json = null)//系统需，要不要动
    {
        return array("code" => $code, "data" => $data, "json" => $json);
    }

    public function Cookie($atad)//监控心跳
    {
        $code = 1;
        $data = '该通道不支持监控心跳';
        return $this->getReturn($code,$data,array("time"=>time()));
    }
    
    public function cehsald($atad)//监控回调
    {
           return $this->getReturn(-1, '交易失败', $atad);
    }
    
    public function fukyem($data)//支付页面
    {
        $sz = Db::name("pay_sz")->find();
        $atad= Db::name("pay_gfg")->where("pid", $data['pid'])->where("mid", $data['mid'])->find();
        $user = Db::name("pay_user")->where("id", $data['pid'])->find();
        $data['timeOut'] = $user['bug_close'];//订单有效期
        
        if($data['type']=='weixin'){//微信
            $data['money'] = $data['price'];//实际金额
            $data['src'] = url("enQrcode","","html",true).'?url='.$data['mid_url'];//二维码
            // 模板变量赋值
            $data['luji'] = iphtml('pay');//模板路径
            $this->assign('data',$data);
            return $this->fetch(ippublic('pay').'/index.html');
        }
    }
    
    public function exec($api,$atad,$money,$type)//拉起支付
    {
        $atad['data'] = $atad['ck'];//通道监控数据
        $atad['pay_id']  = time();//通道订单号
        $atad['mid_url'] = urlencode($atad['ck']);//通道二维码
        return $this->getReturn(1, $atad, $atad['data']);
    }
    
}